Package org.eclipse.gef.mvc.fx.providers

# Class ShapeBoundsProvider

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends Node>>
org.eclipse.gef.mvc.fx.providers.ShapeBoundsProvider

All Implemented Interfaces:
  `Provider<IGeometry>`, `jakarta.inject.Provider<IGeometry>`, `IAdaptable.Bound<IVisualPart<? extends Node>>`

public class ShapeBoundsProvider extends IAdaptable.Bound.Impl<IVisualPart<? extends Node>> implements Provider<IGeometry>
The `ShapeBoundsProvider` is a `Provider<IGeometry>` that returns a `Rectangle` that corresponds to the layout-bounds of its host visual, i.e. it includes the geometric bounds and the stroke of the visual. The `Rectangle` is specified within the local coordinate system of the host visual.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`ShapeBoundsProvider()`
Constructs a new `ShapeBoundsProvider` without padding.
`ShapeBoundsProvider(double padding)`
Constructs a new `ShapeBoundsProvider` with the given padding.
`ShapeBoundsProvider(double leftPadding, double topPadding, double rightPadding, double bottomPadding)`
Constructs a new `ShapeBoundsProvider` with the given padding.

## Method Summary

Modifier and Type
Method
Description
`Rectangle`
`get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShapeBoundsProvider

public ShapeBoundsProvider()
Constructs a new `ShapeBoundsProvider` without padding.

### ShapeBoundsProvider

public ShapeBoundsProvider(double padding)
Constructs a new `ShapeBoundsProvider` with the given padding.

Parameters:
  `padding` - The padding that is applied around the shape.

### ShapeBoundsProvider

public ShapeBoundsProvider(double leftPadding, double topPadding, double rightPadding, double bottomPadding)
Constructs a new `ShapeBoundsProvider` with the given padding.

Parameters:
  `leftPadding` - The padding that is applied on the left of the shape.
  `topPadding` - The padding that is applied on the top of the shape.
  `rightPadding` - The padding that is applied on the right of the shape.
  `bottomPadding` - The padding that is applied on the bottom of the shape.

## Method Details

### get

public Rectangle get()

Specified by:
  `get` in interface `Provider<IGeometry>`
Specified by:
  `get` in interface `jakarta.inject.Provider<IGeometry>`